package intrinsic.mx.messaging;

public class MultiTopicConsumer extends intrinsic.mx.messaging.AbstractConsumer {

	/** Accessors */
	public intrinsic.mx.collections.ArrayCollection subscriptions;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public MultiTopicConsumer() {
}


/** Static Methods */

/** Methods */
public native void addSubscription();
public native void addSubscription(String arg0);
public native void addSubscription(String arg0, String arg1);
public native void removeSubscription();
public native void removeSubscription(String arg0);
public native void removeSubscription(String arg0, String arg1);

}
